import React, { useState } from 'react';
import Main from '../containers/Main';
import Popup from '../containers/Popup';
import './App.css';

function App() {
  
  const [isOpenPopup, setOpenPopup] = useState(false);

  const handleSwitchPopup = () => {
    setOpenPopup(!isOpenPopup);
  }

  const [userPopup, setUserPopup] = useState({});
  
  
  return (
    <div className="wrapper">
      <Main setUserPopup={setUserPopup} handleSwitchPopup={handleSwitchPopup} />
      {isOpenPopup && <Popup userPopup={userPopup} handleSwitchPopup={handleSwitchPopup} />}
    </div>
  );
}

export default App;